//
// Naiwne Potegowanie modulo
//
// www.algorytm.org
// (c)2006 Tomasz Lubinski
//

#include "stdio.h"
#include "stdlib.h"

// calculates a^b mod m
int power_modulo(int a, int b, int m)
{
   int i;
   int result = a%m;

   for (i=1; i<b; i++)
   {
      result *= a;
      result %= m;
   }

   return result;
}


int main(void)
{
   //9688563^458926 mod 71 = 30
   printf("9688563^458926 mod 71 = %d\n", power_modulo(9688563, 458926, 71));

   //12^4 mod 7 = 2
   printf("12^4 mod 7 = %d\n", power_modulo(12, 4, 7));

   return 0;
}
